Bug 733179 (filebench) - Review Request: filebench - A model based file system workload generator
Summary: Review Request: filebench - A model based file system workload generator
Keywords:
Status: CLOSED ERRATA
Alias: filebench
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 02:46 UTC by Hushan Jia
Modified: 2011-09-30 19:26 UTC (History)
3 users (show)

Fixed In Version: filebench-1.4.9-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-14 22:32:55 UTC
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Hushan Jia 2011-08-25 02:46:36 UTC
Spec URL: http://hushan.fedorapeople.org/pkgs/filebench.spec
SRPM URL: http://hushan.fedorapeople.org/pkgs/filebench-1.4.9-1.el6.src.rpm
Description:
Filebench is a file system and storage benchmark that allows to generate a
high variety of workloads. It employs extensive Workload Model Language (WML)
for detailed workload specification.

Comment 1 Hushan Jia 2011-08-25 03:10:51 UTC
test build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3300058

Comment 2 Volker Fröhlich 2011-08-30 22:16:19 UTC
Don't ship INSTALL.

Defattr is no longer necessary, if you don't aim for EPEL4 or older.

Use the name macro in the files section. You can shorten the files section to:

%files
%doc AUTHORS ChangeLog COPYING LICENSE NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}

Rpmlint:

filebench.x86_64: W: file-not-utf8 /usr/share/doc/filebench-1.4.9/LICENSE
filebench.x86_64: W: no-manual-page-for-binary filebench

At least Sun had some sort of manpage, as far as I can see.

Please change the encoding of the licensefile to UTF-8 in the first place.

Comment 3 Hushan Jia 2011-08-31 00:31:32 UTC
remove defattr, and INSTALL in doc files, and convert LICENSE to utf-8 encoding:

Spec URL:
http://hushan.fedorapeople.org/pkgs/filebench.spec
SRPM URL:
http://hushan.fedorapeople.org/pkgs/filebench-1.4.9-2.el6.src.rpm

Comment 4 Hushan Jia 2011-08-31 00:39:01 UTC
test build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3314413

Comment 5 Volker Fröhlich 2011-08-31 21:04:37 UTC
I meant to convert the license file outside of the spec file -- before even packaging it.

Do you plan to maintain this package in EPEL5 too?

Did you find out about a man page? Maybe you could try to include some sort of excerpt of the documentation in the wiki? It is somewhat different from the README file.

Comment 6 Hushan Jia 2011-09-01 00:06:25 UTC
(In reply to comment #5)
> I meant to convert the license file outside of the spec file -- before even
> packaging it.
ah, right, will do it, :)
> 
> Do you plan to maintain this package in EPEL5 too?
yes, I will package for epel6 and 5 as well.
> 
> Did you find out about a man page? Maybe you could try to include some sort of
> excerpt of the documentation in the wiki? It is somewhat different from the
> README file.
I dont find direct man pages, but I can make one from wiki documentation, will update the package, thanks.

Comment 7 Hushan Jia 2011-09-02 03:03:23 UTC
I made the manpage based the wiki documentation,
http://hushan.fedorapeople.org/pkgs/filebench.1
can you please review if it is ok?

Comment 8 Volker Fröhlich 2011-09-02 19:08:28 UTC
There is a spelling error in the manpage: "apporpriate" instead of "appropriate"

I don't know whether "tunables" is a proper word.

I think, the manpage you created helps a lot.

Comment 9 Hushan Jia 2011-09-03 02:10:22 UTC
updated:
1. use utf-8 encoded license file
2. add man page for /usr/bin/filebench

Spec URL:
http://hushan.fedorapeople.org/pkgs/filebench.spec
SRPM URL:
http://hushan.fedorapeople.org/pkgs/filebench-1.4.9-3.el6.src.rpm
test build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3322151

Comment 10 Volker Fröhlich 2011-09-03 08:17:02 UTC
The only thing to change is the macro use of %{buildroot} -- see below.

Please try to contact upstream on shipping a license file.

Review:

[+] Good
[-] Needs work
[0] Does not apply

MUST:
=====
[+] rpmlint:
[makerpm@fedora15 ~]$ rpmlint rpmbuild/SRPMS/filebench-1.4.9-3.el6.src.rpm rpmbuild/RPMS/x86_64/filebench-*1.4.9-3.fc15.x86_64.rpm 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] Naming according to the Package Naming Guidelines
[+] Spec file matches base package name
[+] Packaging guidelines met
[+] License approved for Fedora
[+] License field in spec matches code
[+] License file included, if source package includes it
[+] Spec in American English
[+] Spec is legible
[+] Sources match upstream md5sum: a78d9c6a3f9933d5b282b34e8172af0e
[+] Compiles and builds into binary RPMs on at least one primary architecture: x86_64, i386
[0] ExcludeArch is specified and commented
[0] Locales are handled correctly
[+] All build dependencies listed
[0] Calls ldconfig for its shared libraries
[+] No bundled system libraries
[0] Stated as relocatable package
[+] Owns all its directories or requires package that does
[+] No file listing duplicates
[+] File permissions correct
[-] Consistent use of macros --> Use either %{buildroot} or $RPM_BUILD_ROOT
[+] Code or permissible content
[0] Large documentation in -doc subpackage
[+] No runtime dependency of files listed as %doc
[0] Header files in -devel subpackage
[0] Static files in -static subpackage
[0] Library files without suffix in -devel subpackage
[0] Devel-package requires base package
[0] No .la libtool archives
[+] GUI application includes properly installed %{name}.desktop file
[+] No files or directories owned, that other packages own
[+] Filenames in packages are UTF-8

SHOULD:
=======

[-] Query upstream if no license text is included
[+] Package builds in mock:
fedora-rawhide-x86_64, epel-6-x86_64, epel-5-i386
[+] Package works as described
[0] Scriptlets are sane, if used
[0] Subpackages other than -devel should require base package (versioned)
[0] pkgconfig files in -devel subpackage
[0] Dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider
requiring the package which provides the file instead of the file itself
[+] Contain man pages, where they make sense

Comment 11 Hushan Jia 2011-09-03 08:53:18 UTC
Updated:
1. use $RPM_BUILD_ROOT for consistency

Spec URL:
http://hushan.fedorapeople.org/pkgs/filebench.spec
SRPM URL:
http://hushan.fedorapeople.org/pkgs/filebench-1.4.9-4.el6.src.rpm

I have also sent a mail to the upstream mailinglist about the shipping LICENSE in the released tarball, I guess they will included it in the next release.

Comment 12 Volker Fröhlich 2011-09-03 10:30:41 UTC
"1. use $RPM_BUILD_ROOT for consistency"

No, you don't! ;)

mkdir -p %{buildroot}%{_mandir}/man1

Comment 13 Hushan Jia 2011-09-03 10:53:01 UTC
ah, sorry, missed that one.

fixed:
http://hushan.fedorapeople.org/pkgs/filebench.spec

Comment 14 Volker Fröhlich 2011-09-03 11:07:37 UTC
===APPROVED===

Comment 15 Hushan Jia 2011-09-03 11:10:58 UTC
thanks Volker for review!

Comment 16 Hushan Jia 2011-09-03 11:12:17 UTC
New Package SCM Request
=======================
Package Name: filebench
Short Description: A model based file system workload generator
Owners: hushan
Branches: f16 f15 f14 el6 el5
InitialCC:

Comment 17 Gwyn Ciesla 2011-09-03 16:57:03 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2011-09-03 19:08:45 UTC
filebench-1.4.9-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/filebench-1.4.9-5.fc16

Comment 19 Fedora Update System 2011-09-03 19:25:27 UTC
filebench-1.4.9-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/filebench-1.4.9-5.fc15

Comment 20 Fedora Update System 2011-09-03 19:33:51 UTC
filebench-1.4.9-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/filebench-1.4.9-5.fc14

Comment 21 Fedora Update System 2011-09-03 19:40:58 UTC
filebench-1.4.9-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/filebench-1.4.9-5.el6

Comment 22 Fedora Update System 2011-09-05 23:30:24 UTC
filebench-1.4.9-5.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 23 Fedora Update System 2011-09-09 15:46:52 UTC
filebench-1.4.9-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/filebench-1.4.9-6.el5

Comment 24 Fedora Update System 2011-09-14 22:32:50 UTC
filebench-1.4.9-5.fc14 has been pushed to the Fedora 14 stable repository.

Comment 25 Fedora Update System 2011-09-14 22:35:49 UTC
filebench-1.4.9-5.fc15 has been pushed to the Fedora 15 stable repository.

Comment 26 Fedora Update System 2011-09-24 22:03:54 UTC
filebench-1.4.9-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 27 Fedora Update System 2011-09-25 18:52:09 UTC
filebench-1.4.9-6.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 28 Fedora Update System 2011-09-30 19:26:28 UTC
filebench-1.4.9-5.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.